FileUploadException (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.tomcat.util.http.fileupload, class: FileUploadException

# Class FileUploadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.util.http.fileupload.FileUploadException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FileCountLimitExceededException, InvalidContentTypeException, IOFileUploadException, SizeException`

public class FileUploadException extends IOException
Exception for errors encountered while processing the request.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileUploadException()`
  Constructs a new `FileUploadException` without message.
  `FileUploadException(String message)`
  Constructs a new `FileUploadException` with specified detail message.
  `FileUploadException(String message, Throwable cause)`
  Creates a new `FileUploadException` with the given detail message and cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileUploadException

    public FileUploadException()
    Constructs a new `FileUploadException` without message.

  - ### FileUploadException

    public FileUploadException(String message)
    Constructs a new `FileUploadException` with specified detail message.
    Parameters:
      `message` - the error message.

  - ### FileUploadException

    public FileUploadException(String message, Throwable cause)
    Creates a new `FileUploadException` with the given detail message and cause.
    Parameters:
      `message` - The exceptions detail message.
      `cause` - The exceptions cause.